<?php 

$connect2MAGEOptions = array(
					'connect2MAGE_Host' => AC_HtmlGenerator::labelAndDesc('Database server host (usually: localhost)', 'Please provide database server host name used to access Magento store database.'),
                  	'connect2MAGE_DBUser' => AC_HtmlGenerator::labelAndDesc('Database user name', 'Please provide database user name used to access Magento store database.'),
					'connect2MAGE_DBPassword' => AC_HtmlGenerator::labelAndDesc('Database password', 'Please provide database password used to access Magento store database.'),
					'connect2MAGE_database' => AC_HtmlGenerator::labelAndDesc('Database name', 'Please provide the name of the databse that stores Magento store.'),
					'connect2MAGE_CustomFieldName' => AC_HtmlGenerator::labelAndDesc('Custom field name', 'What is the custom field name you are storing product ids (coma separated) valuse.'),
					'connect2MAGE_StoreUrl' => AC_HtmlGenerator::labelAndDesc('Store url', 'Store url, like: http://server/shop/index.php. DO not use last "/".'),
					'connect2MAGE_UrlExt' => AC_HtmlGenerator::labelAndDesc('Store url extension', 'Store url extension, like ".html".'),
					'connect2MAGE_ShowErrors' => AC_HtmlGenerator::labelAndDesc('Show connection errors?', 'Set 1 if you wish to show errors or 0 (or empty) if not.')
                  );

                  
#Perform option update if Save changes button is clicked
if(isset($_POST['submit']))
{
  $submitedPost = (object)$_POST;
  foreach ($connect2MAGEOptions as $connect2MAGEOptionKey => $connect2MAGEOptionValue)
  {
    update_option($connect2MAGEOptionKey, $submitedPost->$connect2MAGEOptionKey);
  }
}                  
                  
                  
?>


<div class="wrap">
  <h2><?php _e('connect2MAGE setup page') ?></h2>
  
  <p>Setup database connection parametars to connect to MAGENTO store database. You can later use <strong>$MAGEDB</strong> like you use <strong>$wpdb</strong>.</p>
  <p>This means that stuff like $result = $MAGEDB->get_results($sql); is allowed.</p>

  <div class="contentArea">
    <form id="<?php echo connect2MAGE_PLUGIN_NAME ?>" name="<?php echo connect2MAGE_PLUGIN_NAME ?>" method="post" enctype="">

    <?php foreach ($connect2MAGEOptions as $connect2MAGEOptionKey => $connect2MAGEOptionValue): ?>
    <label for="<?php echo $connect2MAGEOptionKey ?>"><?php echo $connect2MAGEOptionValue ?></label><br /><br />
    
    <?php if($connect2MAGEOptionKey == 'connect2MAGE_DBPassword'): ?>
    	<input style="width:500px;" type="password" id="<?php echo $connect2MAGEOptionKey ?>" name="<?php echo $connect2MAGEOptionKey ?>" value="<?php echo get_option($connect2MAGEOptionKey) ?>" /><br /><br /><br />
    <?php else: ?>
    	<input style="width:500px;" type="text" id="<?php echo $connect2MAGEOptionKey ?>" name="<?php echo $connect2MAGEOptionKey ?>" value="<?php echo get_option($connect2MAGEOptionKey) ?>" /><br /><br /><br />
    <?php endif; ?>
    
    <?php endforeach; ?>
    

    <input type="submit" value="<?php _e('Save') ?>" class="button-primary" name="submit"/>
      
    </form>
  </div><?php //contentArea ?>

</div>